<?php

/*------------------------------------------------------------------------
# com_invoices - Invoice Manager for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 - 2016 JoomlaThat.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.joomlathat.com
# Technical Support:	Forum - http://www.joomlathat.com/support
-------------------------------------------------------------------------*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class PaymentsViewPayment extends JViewLegacy
{

  protected $input;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$this->input = $mainframe->input;

	}

	function display($tpl = null)
	{
		//cridem el CSS
		$document	= JFactory::getDocument();

		//get the invoice
		$this->payment			= $this->get('Data');

		$isNew		= ($payment->id < 1);

		$text = $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' );
		$title = $isNew ? JText::_( 'PAYMENT' ) : JText::_( 'PAYMENT' ). " ". $this->payment->id;

		JToolbarHelper::title(   $title . ': <small><small>[ ' . $text.' ]</small></small>','payments' );
		JToolbarHelper::save();

		if ($isNew)  {
			JToolbarHelper::cancel();
		} else {
			JToolbarHelper::apply();
			JToolbarHelper::cancel( 'cancel', JText::_('CLOSE') );

		}

		JHtmlBehavior::framework();
		// JS
		$document->addScript('components/com_invoices/assets/js/payments.js');

		parent::display($tpl);
	}


}
